
<div class="form-row text-center">
  <div class="form-group col-12 col-lg-10">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
      <input class="ControlInput--Input" type="text" [readonly]="tBloquearBuscar" placeholder="Colección" [(ngModel)]="tColeccion.Codcoleccion" (keydown.enter)="Buscar()" size="sm" id="txtCodArticulo"/>
    </div>
  </div>
  <div class="form-group col-12 col-lg-2">
    <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
      <div class="btn-group btn-group-sm mr-1" role="group">
        <button class="btn btn-outline-primary" type="button" [disabled]="tEditar" (click)="Buscar()"><i class="fas fa-search"></i></button>
      </div>
      <div class="btn-group btn-group-sm" role="group">
        <button class="btn btn-outline-info" type="button" [disabled]="tEditar" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="input-group">
      <textarea class="form-control form-control-sm" placeholder="Descripción" name="Descripcion" required="" [(ngModel)]="tColeccion.Descripcion" rows="3"></textarea>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <label class="form-label h6">Estatus</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-address-card"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tEstatusActual" (change)="CambiarEstatus()" size-select="sm">
        <option *ngFor="let tEst of tEstatus" [ngValue]="tEst">{{ tEst.Codestatus }}</option>
      </select>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <label class="form-label h6"> Descuento</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calculator"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tTiposDescuentoActual" (change)="CambiarTipoDescuento()" size-select="sm">
        <option *ngFor="let tTiposDescFor of tTiposDescuentos" [ngValue]="tTiposDescFor">{{tTiposDescFor.Codtipo}}</option>
      </select>
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
      <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tColeccion.Descuento" placeholder="Descuento" name="Descuento" required="" size="sm" id="txtDescuento"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6">Rango de fechas</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
      <input class="ControlInput--Input" type="text" placeholder="Daterangepicker" [(ngModel)]="tFechas" bsDaterangepicker="" (bsValueChange)="cambiarFechas()" [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }" size="sm"/>
    </div>
  </div>
</div>